# GWEN_ARGS Struct Reference

`#include <args.h>`

## Data Fields

GWEN_TYPE_UINT32 | flags
const char * | longDescription
const char * | longOption
unsigned int | maxNum
unsigned int | minNum
const char * | name
const char * | shortDescription
const char * | shortOption
GWEN_ARGS_TYPE | type

## Detailed Description

This is one of the very few structs inside Gwenhywfar whose contents are available for direct access to the the program. Developer's note: Please note that any change within this struct will make it necessary to increment the SO_VERSION of the library !

## Field Documentation

GWEN_TYPE_UINT32 flags

const char* longDescription

const char* longOption

unsigned int maxNum

unsigned int minNum

const char* name

const char* shortDescription

const char* shortOption

GWEN_ARGS_TYPE type

The documentation for this struct was generated from the following file:

- args.h